4Suite™ API Documentation

# ► Module Ft.Xml._4xml

4XML command-line application

Classes: XmlCommandLineApp |  |  |  | Functions: Register, Run

## Classes

class XmlCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

  ### Methods

  __init__(self)
    Overrides: __init__ from class CommandLineApp
  validate_arguments(self, args)
    Overrides: validate_arguments from class CommandLineApp
  validate_options(self, options)
    Overrides: validate_options from class CommandLineApp

  ### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, run

  ### Methods inherited from class Ft.Lib.CommandLine.Command.Command

  break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

  ### Members inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  global_options

## Functions

Register()
Run(options, args)